/**
 * Add a listener to update other controls to new values/defaults.
 */

( function( api ) {

    wp.customize( 'travel_insight_pro_theme_options[reset_options]', function( setting ) {
        setting.bind( function( value ) {
            var code = 'needs_refresh';
            if ( value ) {
                setting.notifications.add( code, new wp.customize.Notification(
                    code,
                    {
                        type: 'info',
                        message: travel_insight_pro_data.reset_message
                    }
                ) );
            } else {
                setting.notifications.remove( code );
            }
        } );
    } );

} )( wp.customize );


jQuery( document ).ready( function($) {
    // Sortable
    jQuery( 'ul.travel-insight-pro-sortable-list' ).sortable({
        handle: '.travel-insight-pro-drag-handle',
        axis: 'y',
        update: function( e, ui ){
            jQuery('input.travel-insight-pro-sortable-input').trigger( 'change' );
        }
    });

    /* On changing the value. */
    jQuery( "body" ).on( 'change', 'input.travel-insight-pro-sortable-input', function() {
        /* Get the value, and convert to string. */
        this_checkboxes_values = jQuery( this ).parents( 'ul.travel-insight-pro-sortable-list' ).find( 'input.travel-insight-pro-sortable-input' ).map( function() {
            return this.value;
        }).get().join( ',' );

        /* Add the value to hidden input. */
        jQuery( this ).parents( 'ul.travel-insight-pro-sortable-list' ).find( 'input.travel-insight-pro-sortable-value' ).val( this_checkboxes_values ).trigger( 'change' );

    });
});