<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package travel_insight_pro
	 */

	/**
	 * travel_insight_pro_doctype hook
	 *
	 * @hooked travel_insight_pro_doctype -  10
	 *
	 */
	do_action( 'travel_insight_pro_doctype' );
?>
<head>
<?php
	/**
	 * travel_insight_pro_before_wp_head hook
	 *
	 * @hooked travel_insight_pro_head -  10
	 *
	 */
	do_action( 'travel_insight_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>
<?php do_action( 'wp_body_open' ); ?>
<?php
	/**
	 * travel_insight_pro_page_start_action hook
	 *
	 * @hooked travel_insight_pro_page_start -  10
	 *
	 */
	do_action( 'travel_insight_pro_page_start_action' ); 

	/**
	 * travel_insight_pro_loader_action hook
	 *
	 * @hooked travel_insight_pro_loader -  10
	 * @hooked travel_insight_pro_add_breadcrumb -  20
	 *
	 */
	do_action( 'travel_insight_pro_before_header' );

	/**
	 * travel_insight_pro_header_action hook
	 *
	 * @hooked travel_insight_pro_header_start -  10
	 * @hooked travel_insight_pro_site_branding -  20
	 * @hooked travel_insight_pro_site_navigation -  30
	 * @hooked travel_insight_pro_header_end -  50
	 *
	 */
	do_action( 'travel_insight_pro_header_action' );

	/**
	 * travel_insight_pro_content_start_action hook
	 *
	 * @hooked travel_insight_pro_content_start -  10
	 *
	 */
	do_action( 'travel_insight_pro_content_start_action' );

	$options = travel_insight_pro_get_theme_options();
	$sections = travel_insight_pro_sortable();
	foreach ( $sections as $section => $value ) {
		add_action( 'travel_insight_pro_primary_content_action', 'travel_insight_pro_add_'. $section .'_section', travel_insight_pro_sortable_section( $section ) );
	}
	
	/**
	 * travel_insight_pro_primary_content_action hook
	 *
	 * Default hierarchy
	 * 
	 * @hooked travel_insight_pro_add_slider_section -  10
	 * @hooked travel_insight_pro_add_popular_destination_section -  20
	 * @hooked travel_insight_pro_add_about_us_section -  30
	 * @hooked travel_insight_pro_add_articles_section -  40
	 * @hooked travel_insight_pro_add_gallery_section -  50
	 * @hooked travel_insight_pro_add_tours_section -  60
	 * @hooked travel_insight_pro_add_guide_section -  70
	 * @hooked travel_insight_pro_add_call_to_action_section -  80
	 * @hooked travel_insight_pro_add_counter_section -  90
	 * @hooked travel_insight_pro_add_packages_section -  100
	 */
	do_action( 'travel_insight_pro_primary_content_action' );
